Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.pastry.peerreview
Class CallbackFactory

    java.lang.Object
      rice.pastry.PastryNodeFactory
          rice.pastry.transport.TransportPastryNodeFactory
              rice.pastry.socket.SocketPastryNodeFactory
                  rice.pastry.peerreview.CallbackFactory

    public class CallbackFactory

extends SocketPastryNodeFactory

Nested Class Summary

Nested classes/interfaces inherited from class rice.pastry.socket.SocketPastryNodeFactory
`SocketPastryNodeFactory.TLBootstrapper, SocketPastryNodeFactory.TransLiveness<Identifier,MessageType>, SocketPastryNodeFactory.TransLivenessProximity<Identifier,MessageType>`

Field Summary
`java.util.Map<PastryNode,NodeHandle>` | `localHandleTable`

Fields inherited from class rice.pastry.socket.SocketPastryNodeFactory
`findFireWallPolicy, IP_SERVICE, localAddress, MULTI_ADDRESS_STRATEGY, MULTI_INET_TL, NETWORK_INFO_NODE_HANDLE_INDEX, nidFactory, NODE_HANDLE_FACTORY, PASTRY_MAGIC_NUMBER, PRIORITY_TL, PROXY_ADDRESS, testFireWallPolicy`

Fields inherited from class rice.pastry.transport.TransportPastryNodeFactory
`leafSetMaintFreq, routeSetMaintFreq`

Fields inherited from class rice.pastry.PastryNodeFactory
`environment, logger, lSetSize, rtBase, rtMax`

Constructor Summary
`CallbackFactory(Environment env)`

Method Summary
`NodeHandle` | `getLocalHandle(PastryNode pn, NodeHandleFactory nhf)`
`NodeHandleAdapter` | `getNodeHandleAdapter(PastryNode pn, NodeHandleFactory handleFactory2, TLDeserializer deserializer)`

Methods inherited from class rice.pastry.socket.SocketPastryNodeFactory
`cloneEnvironment, cloneLogManager, cloneProcessor, cloneRandomSource, cloneSelectorManager, getBindAddress, getBindStrategy, getBootstrapper, getBottomLayers, getCommonAPITransportLayer, getIdentityImpl, getIdentiySerializer, getIpServiceTransportLayer, getLimitSocketsTransportLayer, getLivenessTransportLayer, getLowerIdentityLayer, getMagicNumberTransportLayer, getMultiAddressSourceRouteFactory, getMultiAddressSourceRouteTransportLayer, getNextHopStrategy, getNextInetSocketAddress, getNodeHandle, getNodeHandle, getNodeHandle, getNodeHandle, getNodeHandleFactory, getOptionsAdder, getPriorityTransportLayer, getProbeStrategy, getSocketCountListener, getSourceRouteForwardStrategy, getSourceRouteManagerLayer, getSourceRouteStrategy, getSourceRouteTransportLayer, getUpperIdentityLayer, getWireTransportLayer, newNode, newNode, newNode, newNode, newNode, newNode, newNode, newNode, newNode, newNodeSelector, registerApps, verifyConnection`

Methods inherited from class rice.pastry.transport.TransportPastryNodeFactory
`getJoinProtocol, getLeafSetProtocol, getProximityNeighborSelector, getRouterStrategy, getRouteSetProtocol, getTLDeserializer, nodeHandleHelper`

Methods inherited from class rice.pastry.PastryNodeFactory
`getEnvironment`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### localHandleTable

    public java.util.Map<PastryNode,NodeHandle> localHandleTable

Constructor Detail

### CallbackFactory

    public CallbackFactory(Environment env)
                    throws java.io.IOException

Throws:
  `java.io.IOException`

Method Detail

### getNodeHandleAdapter

    public NodeHandleAdapter getNodeHandleAdapter(PastryNode pn,
                                                  NodeHandleFactory handleFactory2,
                                                  TLDeserializer deserializer)
                                           throws java.io.IOException

  Overrides:
    `getNodeHandleAdapter` in class `SocketPastryNodeFactory`
  Throws:
    `java.io.IOException`

### getLocalHandle

    public NodeHandle getLocalHandle(PastryNode pn,
                                     NodeHandleFactory nhf)

  Overrides:
    `getLocalHandle` in class `SocketPastryNodeFactory`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.